
import org.springframework.stereotype.Component;

/**
 * This is an example comment for the class TestNamedBean.
 * 
 * Here is a second line that happens
 * to span multiple lines.
 * 
 * @author brian@inteligr8.com
 * @version 1.0
 */
@Component("test")
public class TestNamedBean {
	
	public void apiMethod0() {
	}
	
	/**
	 * This is an example comment for the method apiMethod1()
	 */
	public void apiMethod1() {
	}
	
	/**
	 * This is an example comment for the method apiMethod2().  This example
	 * method has an undocumented parameter.
	 */
	public void apiMethod2(String param) {
	}
	
	/**
	 * This is an example comment for the method apiMethod3()
	 * 
	 * @param param An example parameter comment.
	 */
	public void apiMethod3(String param) {
	}
	
	/**
	 * This is an example comment for the method apiMethod4().  This example
	 * method has documented a parameter that does not exist.
	 * 
	 * @param param An example mising parameter comment.
	 */
	public void apiMethod4() {
	}
	
	/**
	 * This is an example comment for the method apiMethod5()
	 * 
	 * @param param An example parameter comment.
	 * @param param2 An example parameter comment
	 * 		that spans multiple lines.  And multiple sentences.
	 */
	public void apiMethod5(String param, String param2) {
	}
	
	/**
	 * This is an example comment for the method apiMethod6()
	 * 
	 * @param param An example parameter comment.
	 * @author brian@inteligr8.com
	 * @since 1.0
	 * @deprecated
	 */
	public void apiMethod6(int param) {
	}
	
	/**
	 * This is an example comment for the method apiMethod7()
	 * 
	 * @throws java.lang.Exception An exception comment.
	 */
	public void apiMethod7() throws Exception, RuntimeException {
	}
	
	/**
	 * This is an example comment for the method apiMethod8()
	 * 
	 * @param param A parameter comment.
	 * @return A return comment.
	 * @throws java.lang.Exception An exception comment.
	 */
	public String apiMethod8(String param) throws Exception {
		return null;
	}
	
	/**
	 * This is an example comment for the method notApiMethod1()
	 */
	protected void notApiMethod1() {
	}
	
	void notApiMethod2() {
	}
	
	private void notApiMethod3() {
	}

}
