/*
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.inteligr8.activiti.doclet;

import java.util.HashSet;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author brian@inteligr8.com
 */
public class BeanFreemarkerModel {
	
	private String title;
	
	private String apiName;
	
	private String beanId;
	
	private String bookmark;
	
	private String docFirstSentence;

	private String docBody;
	
	private Set<String> delegateRoles = new HashSet<>();

	private Map<String, List<String>> tags = new LinkedHashMap<>();
	
	private List<MethodFreemarkerModel> methods = new LinkedList<>();

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getApiName() {
		return apiName;
	}

	public void setApiName(String apiName) {
		this.apiName = apiName;
	}

	public String getBeanId() {
		return beanId;
	}

	public void setBeanId(String beanId) {
		this.beanId = beanId;
	}

	public String getBookmark() {
		return bookmark;
	}

	public void setBookmark(String bookmark) {
		this.bookmark = bookmark;
	}

	public String getDocFirstSentence() {
		return docFirstSentence;
	}

	public void setDocFirstSentence(String docFirstSentence) {
		this.docFirstSentence = docFirstSentence;
	}

	public String getDocBody() {
		return docBody;
	}

	public void setDocBody(String docBody) {
		this.docBody = docBody;
	}

	public Set<String> getDelegateRoles() {
		return delegateRoles;
	}

	public void setDelegateRoles(Set<String> delegateRoles) {
		this.delegateRoles = delegateRoles;
	}

	public Map<String, List<String>> getTags() {
		return tags;
	}

	public void setTags(Map<String, List<String>> tags) {
		this.tags = tags;
	}

	public List<MethodFreemarkerModel> getMethods() {
		return methods;
	}

	public void setMethods(List<MethodFreemarkerModel> methods) {
		this.methods = methods;
	}

}
