/*
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.inteligr8.activiti.doclet;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

public class MethodSignatureFreemarkerModel {
	
	private String methodSignature;
	
	private Map<String, ParamFreemarkerModel> params = new LinkedHashMap<>();
	
	private String returnType;
	
	private Map<String, ThrowFreemarkerModel> throwTypes = new LinkedHashMap<>();
	
	private String docFirstSentence;

	private String docBody;

	private Map<String, List<String>> tags = new LinkedHashMap<>();

	public String getMethodSignature() {
		return methodSignature;
	}

	public void setMethodSignature(String methodSignature) {
		this.methodSignature = methodSignature;
	}

	public Map<String, ParamFreemarkerModel> getParams() {
		return params;
	}

	public void setParams(Map<String, ParamFreemarkerModel> params) {
		this.params = params;
	}

	public String getReturnType() {
		return returnType;
	}

	public void setReturnType(String returnType) {
		this.returnType = returnType;
	}

	public Map<String, ThrowFreemarkerModel> getThrowTypes() {
		return throwTypes;
	}

	public void setThrowTypes(Map<String, ThrowFreemarkerModel> throwTypes) {
		this.throwTypes = throwTypes;
	}

	public String getDocFirstSentence() {
		return docFirstSentence;
	}

	public void setDocFirstSentence(String docFirstSentence) {
		this.docFirstSentence = docFirstSentence;
	}

	public String getDocBody() {
		return docBody;
	}

	public void setDocBody(String docBody) {
		this.docBody = docBody;
	}

	public Map<String, List<String>> getTags() {
		return tags;
	}

	public void setTags(Map<String, List<String>> tags) {
		this.tags = tags;
	}

}
