
# ${title}<#if apiName??>: ${apiName}</#if>: `${beanId}`

<#if docBody??>${docBody}<#else>No documentation available.</#if>

<#if (tags.author?? || tags.since?? || tags.see?? || tags.deprecated??)>
<#if tags.author??><#list tags.author as author>
*Author*: ${author}
</#list></#if>
<#if tags.since??>*Since*: ${tags.since[0]}</#if>
<#if tags.see??><#list tags.see as see>
*See Also*: ${see}
</#list></#if>
<#if tags.deprecated??>*Deprecated*</#if>

</#if><#if (delegateRoles?size > 0)>
## Delegate Uses

This bean may be used in the following entities and their fields in Activiti.  In these cases, the value of the "Delegate Expression" field should be as shown in the snippet below.

```javascript
${r"${"}${beanId}${r"}"}
```

<#if delegateRoles?seq_contains("ServiceTask") >
- Any **Non-Listener Delegate Expression** (usually a Service Task)
</#if><#if delegateRoles?seq_contains("ExecutionListener") >
- Any **Execution Listener Delegate Expression**
</#if><#if delegateRoles?seq_contains("TaskListener") >
- Any **Task Listener Delegate Expression**
</#if>

</#if>
## Expression Methods

This bean and its methods may be used in any "Expression" field or script in a Script Task in Activiti.

| Method Name                       | Brief Documentation      |
| --------------------------------- | ------------------------ |
<#list methods as method>
	<#assign nameColumn = "[`${method.methodName}`](#${method.bookmark})">
| ${nameColumn?right_pad(32)} | <#if method.docFirstSentence??>${method.docFirstSentence?right_pad(24)}<#else>No documentation available.</#if> |
</#list>

<#list methods as method>
### `${method.methodName}`

<#list method.signatures as sig>
**`${beanId}.${sig.methodSignature}`**

<#if sig.docBody??>${sig.docBody}<#else>No documentation available.</#if>

<#if (sig.params?size > 0)>
| Parameter Name           | Java Type                                        | Documentation            |
| ------------------------ | ------------------------------------------------ | ------------------------ |
<#list sig.params as paramName, param>
| ${("`" + paramName + "`")?right_pad(24)} | ${("`" + param.type + "`")?right_pad(48)} | <#if param.comment??>${param.comment?right_pad(24)}<#else>No documentation available.</#if> |
</#list>

</#if>
<#if (sig.returnType?? || sig.throwTypes?size > 0)>
| Result Type              | Java Type                                        | Documentation            |
| ------------------------ | ------------------------------------------------ | ------------------------ |
<#if sig.returnType??>
| Return Value             | ${("`" + sig.returnType + "`")?right_pad(48)} | <#if sig.tags.return??>${sig.tags.return[0]?right_pad(24)}<#else>No documentation available.</#if> |
</#if>
<#if (sig.throwTypes?size > 0)>
<#list sig.throwTypes as throwType, throw>
| Thrown Exception         | ${("`" + throwType + "`")?right_pad(48)} | <#if throw.comment??>${throw.comment?right_pad(24)}<#else>No documentation available.</#if> |
</#list>
</#if>

</#if>
<#if (sig.tags.author?? || sig.tags.since?? || sig.tags.see?? || sig.tags.deprecated??)>
<#if sig.tags.author??><#list sig.tags.author as author>
*Author*: ${author}
</#list></#if>
<#if sig.tags.since??>*Since*: ${sig.tags.since[0]}</#if>
<#if sig.tags.see??><#list sig.tags.see as see>
*See Also*: ${see}
</#list></#if>
<#if sig.tags.deprecated??>*Deprecated*</#if>

</#if>
</#list>
</#list>
